Package org.zkoss.stateless.sul

## Interface ILongbox

- All Superinterfaces:
    `IAnyGroup<ILongbox>`, `IChildrenOfInputgroup<ILongbox>`, `IComponent<ILongbox>`, `IFormatInputElement<ILongbox,​java.lang.Long>`, `IHtmlBasedComponent<ILongbox>`, `IInputElement<ILongbox,​java.lang.Long>`, `INumberInputElement<ILongbox,​java.lang.Long>`, `IReadonly<ILongbox>`, `IXulElement<ILongbox>`

      public interface ILongbox
      extends INumberInputElement<ILongbox,​java.lang.Long>, IAnyGroup<ILongbox>

  Immutable `Longbox` component.

  An edit box for holding a large integer.

  ## Constraint

  You could specify what value to accept for input controls by use of the `constraint` attribute. It could be a combination of `no positive`, `no negative`, `no zero`, and `no empty`.

  Author:
    katherine
  See Also:
    `Longbox`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ILongbox.Builder` | Builds instances of type `ILongbox`.
    `static class` | `ILongbox.Updater` | Builds an updater of type `ILongbox` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ILongbox` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static ILongbox` | `of​(long value)` | Returns the instance with the given value.
    `static ILongbox` | `of​(java.lang.Long value)` | Returns the instance with the given value.
    `static ILongbox` | `ofCols​(int cols)` | Returns the instance with the given cols.
    `static ILongbox` | `ofConstraint​(java.lang.String constraint)` | Returns the instance with the given constraint.
    `static ILongbox` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `ILongbox` | `withValue​(java.lang.Long value)` | Returns a copy of `this` immutable component with the specified `value`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IFormatInputElement

      `getFormat, withFormat`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IInputElement

      `getConstraint, getErrorboxIconSclass, getErrorboxSclass, getErrorMessage, getInputAttributes, getInstant, getMaxlength, getName, getPlaceholder, getValue, isDisabled, isInplace, withCols, withConstraint, withDisabled, withErrorboxIconSclass, withErrorboxSclass, withErrorMessage, withInplace, withInputAttributes, withInstant, withMaxlength, withName, withPlaceholder`

    - ### Methods inherited from interface org.zkoss.stateless.sul.INumberInputElement

      `getCols, getLocale, getRoundingMode, withLocale, withLocale, withRoundingMode`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IReadonly

      `isReadonly, withReadonly`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final ILongbox DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### withValue

          ILongbox withValue​(java.lang.Long value)

      Description copied from interface: `IInputElement`
      Returns a copy of `this` immutable component with the specified `value`.

      Sets the value of the input component.

      Specified by:
        `withValue` in interface `IInputElement<ILongbox,​java.lang.Long>`
      Parameters:
        `value` - The value of the input component.

        Default: `null`.

      Returns:
        A modified copy of the `this` object

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.inp.Longbox"`

      Specified by:
        `getWidgetClass` in interface `IComponent<ILongbox>`

    - #### of

          static ILongbox of​(java.lang.Long value)

      Returns the instance with the given value.
      Parameters:
        `value` - The long value

    - #### of

          static ILongbox of​(long value)

      Returns the instance with the given value.
      Parameters:
        `value` - The long value

    - #### ofCols

          static ILongbox ofCols​(int cols)

      Returns the instance with the given cols.
      Parameters:
        `cols` - The cols which determines the visible width

    - #### ofConstraint

          static ILongbox ofConstraint​(java.lang.String constraint)

      Returns the instance with the given constraint.
      Parameters:
        `constraint` - The intbox constraint

    - #### ofId

          static ILongbox ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component